#!/bin/sh
#*************************************************************************
#   	Source Id:	@(#)bpmenu.make	1.1		11/05/98
#*************************************************************************
# Backup Professional script to determine which interface to start.
# Copyright(C) 1998 Unitrends Software Corp.
#
# Usage: bpmenu [-ctbr] [-d displayname] [-g xx] [-lic]








# ************************************************************************* 
#    	Source Id:	 @(#)bpsh.inc	1.1.1.3		08/24/98
# *************************************************************************

## BP Shell Init

[ -n "$PRODDIR" ] && BPDIR=$PRODDIR
export BPDIR




PSCMD="ps ax"











MAILCMD=mail


set_ECHO() { 
	[ -d /usr/5bin ] && { PATH="/usr/5bin:${PATH}"; export PATH; }
  ECHO="echo -e"; 
  echo -e "hello" | grep "e h" >/dev/null && ECHO="echo"
  OS=`uname 2>/dev/null`
  case "$OS" in
      SunOS) [ -x /usr/5bin/echo ] && ECHO=/usr/5bin/echo ;;
  esac
  unset OS;
}

set_ECHO; export ECHO

bpsh_init()
{
	RTN=0

	eval `id  |  sed 's/[^a-z0-9=].*//'`
	




	
	# Bug 7515 Enable core dump

CHECK_SCO_OS=`uname 2>/dev/null`
if [ "$CHECK_SCO_OS" != "SCO_SV" ]
then
        ulimit -S -c unlimited
else
        ulimit -f 512
fi

	umask 022

	if [ -z "$BPDIR" ]; then
		if [ ! -f /etc/default/bp.ini ]; then
        id | grep "\(root\)" > /dev/null
        if [ $? -eq 0 ]; then
    		   $ECHO "\n  * File \"/etc/default/bp.ini\" does not exist!\n  * Consider reinstalling the product."
        else
           $ECHO "\n  * Unable to access file \"/etc/default/bp.ini\" "
           $ECHO "\n  * Please check your permissions\n"
        fi
    		RTN=1
		else
			# The brackets contain a space and a tab
			eval `egrep '^[ 	]*BPDIR=' /etc/default/bp.ini 2>/dev/null`
			if [ ! -d "$BPDIR" ]; then
    			$ECHO "\n  * Can't determine product directory.\n  * Try setting BPDIR to the install directory in \"/etc/default/bp.ini\""
    			RTN=1
			fi
		fi
	else
		if [ ! -d "$BPDIR" ]; then
			$ECHO "\n  * Invalid product directory from BPDIR environment variable."
			RTN=1
		fi
	fi

	BPUTIL="$BPDIR/bin/bputil"
	MASTER_INI="$BPDIR/bpinit/master.ini"

	return $RTN
}


bpsh_init

Usage() {
	${ECHO}
	${ECHO} "Usage: bpmenu [-ctbr] [-d displayname] [-g xx] [-lic]"
	${ECHO} "    -c:   use character interface (on server only)"
	${ECHO} "    -lic: display and modify license info"
	${ECHO} "    -t:   task monitor and administration"
	${ECHO} "    -b:   backup menu "
	${ECHO} "    -r:   restore menu "
	${ECHO} "    -d:   display name when running under X Windows"
	${ECHO} "    -g:   graphics mode for character interface 0-9 (e.g. -g 0)"
	${ECHO} "          xx is 0-9, try each until the display looks good"
	exit 1
}





# SVR4 shared libraries



LDLIBPATH="/usr/lib:/lib"


_LD_LIBRARY_PATH=$LD_LIBRARY_PATH

DIRECT=""
CHARACTER_MODE=NO
force=0
while [ -n "$1" ]; do
	case $1 in
		-d|-display )
			DISPLAY=$2
			export DISPLAY
			force=1
			shift 2
			;;
		-c )
			DISPLAY=""
			CHARACTER_MODE=YES
			force=1
			shift
			;;
		-h|"-?" ) Usage ;;
		-t|-a) DIRECT="-promon"; shift;;
		-b) DIRECT="-backup";shift;;
		-r) DIRECT="-restore";shift;;
		-l*) DIRECT="-license"; shift;;
		*) break ;;
	esac
done

if [ -n "$_LD_LIBRARY_PATH" ]; then
	LD_LIBRARY_PATH="$BPDIR/lib:$_LD_LIBRARY_PATH:$LDLIBPATH"
else
	LD_LIBRARY_PATH="$BPDIR/lib:$LDLIBPATH"
fi
export LD_LIBRARY_PATH








if [ "$CHARACTER_MODE" = YES ]
then
	if [ ! -x $BPDIR/bin/promon ]; then
		${ECHO}
		${ECHO} "NOTE: The character interface is not installed on this machine!!"
		${ECHO}
		${ECHO} "You must telnet into the Backup Professional Server, then "
		${ECHO} "as the root user run:"
		${ECHO} 
		${ECHO} "bpmenu -c"
		${ECHO}
		exit 1
	fi
fi


if [ -n "$DISPLAY" -o ! -f $BPDIR/bin/promon ]; then  # X11 Version
	$BPDIR/bin/xbpmenu -xrm "*messageLabel*fontSizeFixedList:14,8" $DIRECT $*		
else							# Character based version
	
	if [ $force -eq 0 ]; then
		${ECHO} "The character-based BP module is intended for use by advanced users."
		${ECHO} "If you have access to an X11 display, you should set your DISPLAY"
		${ECHO} "environment variable and run this again. The GUI version is easier"
		${ECHO} "to use and administer than the character-based version."
		${ECHO} ""
		${ECHO} "Still want to run the character-based version? [y]: \c"
		read ans
		[ "${ans:=y}" = "y" -o "$ans" = "Y" ] && $BPDIR/bin/promon $*
	else
		$BPDIR/bin/promon $*
	fi
fi
